Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client.impl
Class AMQImpl.Exchange.Declare

    java.lang.Object
      com.rabbitmq.client.impl.Method
          com.rabbitmq.client.impl.AMQImpl.Exchange.Declare

All Implemented Interfaces:
  AMQP.Exchange.Declare, Method

Enclosing class:
  AMQImpl.Exchange

    public static class AMQImpl.Exchange.Declare

extends Method
implements AMQP.Exchange.Declare

Nested Class Summary

Nested classes/interfaces inherited from interface com.rabbitmq.client.AMQP.Exchange.Declare
`AMQP.Exchange.Declare.Builder`

Field Summary
`static int` | `INDEX`

Constructor Summary
`AMQImpl.Exchange.Declare(int ticket, java.lang.String exchange, java.lang.String type, boolean passive, boolean durable, boolean autoDelete, boolean internal, boolean nowait, java.util.Map<java.lang.String,java.lang.Object> arguments)`
`AMQImpl.Exchange.Declare(MethodArgumentReader rdr)`

Method Summary
`void` | `appendArgumentDebugStringTo(java.lang.StringBuilder acc)` Public API - debugging utility
`java.util.Map<java.lang.String,java.lang.Object>` | `getArguments()`
`boolean` | `getAutoDelete()`
`boolean` | `getDurable()`
`java.lang.String` | `getExchange()`
`boolean` | `getInternal()`
`boolean` | `getNowait()`
`boolean` | `getPassive()`
`int` | `getTicket()`
`java.lang.String` | `getType()`
`boolean` | `hasContent()` Tell if content is present.
`int` | `protocolClassId()` Retrieve the protocol class ID
`int` | `protocolMethodId()` Retrieve the protocol method ID
`java.lang.String` | `protocolMethodName()` Retrieve the method name
`java.lang.Object` | `visit(AMQImpl.MethodVisitor visitor)` Visitor support (double-dispatch mechanism).
`void` | `writeArgumentsTo(MethodArgumentWriter writer)` Private API - Autogenerated writer for this method.

Methods inherited from class com.rabbitmq.client.impl.Method
`toFrame, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INDEX

    public static final int INDEX

See Also:
  Constant Field Values

Constructor Detail

### AMQImpl.Exchange.Declare

    public AMQImpl.Exchange.Declare(int ticket,
                                    java.lang.String exchange,
                                    java.lang.String type,
                                    boolean passive,
                                    boolean durable,
                                    boolean autoDelete,
                                    boolean internal,
                                    boolean nowait,
                                    java.util.Map<java.lang.String,java.lang.Object> arguments)

### AMQImpl.Exchange.Declare

    public AMQImpl.Exchange.Declare(MethodArgumentReader rdr)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getTicket

    public int getTicket()

  Specified by:
    `getTicket` in interface `AMQP.Exchange.Declare`

### getExchange

    public java.lang.String getExchange()

  Specified by:
    `getExchange` in interface `AMQP.Exchange.Declare`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `AMQP.Exchange.Declare`

### getPassive

    public boolean getPassive()

  Specified by:
    `getPassive` in interface `AMQP.Exchange.Declare`

### getDurable

    public boolean getDurable()

  Specified by:
    `getDurable` in interface `AMQP.Exchange.Declare`

### getAutoDelete

    public boolean getAutoDelete()

  Specified by:
    `getAutoDelete` in interface `AMQP.Exchange.Declare`

### getInternal

    public boolean getInternal()

  Specified by:
    `getInternal` in interface `AMQP.Exchange.Declare`

### getNowait

    public boolean getNowait()

  Specified by:
    `getNowait` in interface `AMQP.Exchange.Declare`

### getArguments

    public java.util.Map<java.lang.String,java.lang.Object> getArguments()

  Specified by:
    `getArguments` in interface `AMQP.Exchange.Declare`

### protocolClassId

    public int protocolClassId()

  Description copied from class: `Method`
  Retrieve the protocol class ID

  Specified by:
    `protocolClassId` in interface `Method`
  Specified by:
    `protocolClassId` in class `Method`
  Returns:
    the AMQP protocol class ID of this Method

### protocolMethodId

    public int protocolMethodId()

  Description copied from class: `Method`
  Retrieve the protocol method ID

  Specified by:
    `protocolMethodId` in interface `Method`
  Specified by:
    `protocolMethodId` in class `Method`
  Returns:
    the AMQP protocol method ID of this Method

### protocolMethodName

    public java.lang.String protocolMethodName()

  Description copied from class: `Method`
  Retrieve the method name

  Specified by:
    `protocolMethodName` in interface `Method`
  Specified by:
    `protocolMethodName` in class `Method`
  Returns:
    the AMQP protocol method name of this Method

### hasContent

    public boolean hasContent()

  Description copied from class: `Method`
  Tell if content is present.

  Specified by:
    `hasContent` in class `Method`
  Returns:
    true if the wire-protocol for this method should involve a content header and body, or false if it should just involve a single method frame.

### visit

    public java.lang.Object visit(AMQImpl.MethodVisitor visitor)
                           throws java.io.IOException

  Description copied from class: `Method`
  Visitor support (double-dispatch mechanism).

  Specified by:
    `visit` in class `Method`
  Parameters:
    `visitor` - the visitor object
  Returns:
    the result of the "visit" operation
  Throws:
    `java.io.IOException` - if an error is encountered

### appendArgumentDebugStringTo

    public void appendArgumentDebugStringTo(java.lang.StringBuilder acc)

  Description copied from class: `Method`
  Public API - debugging utility

  Overrides:
    `appendArgumentDebugStringTo` in class `Method`
  Parameters:
    `acc` - the buffer to append debug data to

### writeArgumentsTo

    public void writeArgumentsTo(MethodArgumentWriter writer)
                          throws java.io.IOException

  Description copied from class: `Method`
  Private API - Autogenerated writer for this method.

  Specified by:
    `writeArgumentsTo` in class `Method`
  Parameters:
    `writer` - interface to an object to write the method arguments
  Throws:
    `java.io.IOException` - if an error is encountered

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD